section, .imagenlateral, .textocontitulo, .telefono, .fotolateral, .separador, .aladerecha, .alaizquierda, .marcotitulo, .titulopera, .marco {
    display: flex;
    justify-content: center;
    align-items: center;
}
section, .imagenlateral, .textocontitulo, .telefono, .fotolateral, .separador, .aladerecha, .alaizquierda, .marcotitulo, .titulopera {
    padding: 1vw;
    margin: 1vw;
}
section, .marcotitulo {
    width: 96vw;
} 
.imagenlateral, .textocontitulo, section, .fotolateral {
    flex-direction: column;
}
.marco, .separador, #fotojanina, .linklateral {
    display: flex;
    flex-direction: row;
}
.linklateral {
    justify-content: center;
    align-items: center;
}
.marcotitulo, .separador, .contenedorimagen, .contenedorimagen2 {
    position: relative;
}
.titulopera {
    width: 96vw;
    position: absolute;
    top: 0;
    transform: translateY(50%);
    justify-content: center;
}
.mamma a img, .mamma img {
    max-height: 400px;
    width: auto;
}
.contenedorimagen, .contenedorimagen2, .fotolateral, .imagenlateral, .linklateral {
    height: 50vh;
    width: 30vw;
}
.contenedorimagen2 {
    position: relative;
    overflow: visible;
    
}
.contenedorimagen {
    overflow: hidden;
    object-fit: cover;
    transition: all 0.5s ease-in-out;
}
.imageninterior {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 100%;
    width: 100%;
    object-fit: cover;

}
.separador {
    width: 96vw;
    height: 15vh;
    align-items: center;
    justify-content: center;
}
.alaizquierda, .aladerecha {
    width: 25vw;
    margin: 0;
    padding: 0;
}
.alaizquierda img, .aladerecha img {
    height: auto;
    width: 100%;
    margin: 0 0;
    top: 0;
    opacity: 0.15;
}
.telefono, .textocontitulo {
    width: 70%;
}
.galeria {
    height: 100%;
    width: 40vw;   
    position: relative;
    z-index: 1001;
}
.galeria2 {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    text-wrap: nowrap;
    top: 0;
    align-items: center;
}

.galeria, .galeria2 {
    display: flex;
    background-color: rgba(0, 0, 0, 0.3);
    color: white;
    justify-content: center;
    cursor: pointer;
    transition: all 0.5s ease-in-out;
    opacity: 0;
    font-weight: normal;
}
.galeria p{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}
.galeria:hover, .contenedorimagen:hover, .galeria2:hover {
    display: flex;
    box-shadow: 0 1px 5px 4px rgba(0, 0, 0, 0.3);
    opacity: 1;
    font-weight: bolder;
    text-wrap: nowrap;
}
.galeria:hover, .contenedorimagen:hover {
    position: absolute;
    transform: scale(1.1);
}
.intermedio {
    width: 100%;
    height: auto;
}
#operatitulo{
    margin-top: 5%;
}
#harry {
    margin: 5% 1vw 0 1vw;
    padding: 0 1vw;
}
#jerry {
    margin-bottom: 10%;
}
#mamma {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.mamma {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: all 0.5s ease-in-out;
    position: relative;
    z-index: 1000;
}
.mamma:hover {
    display: flex;
    transform: scale(1.1);
    box-shadow: 0 1px 5px 4px rgba(0, 0, 0, 0.3);
}
.imagenlateral h3 {
    text-align: center;
}
@media (max-width: 768px) {
    section, .marco, #fotojanina {
        flex-direction: column;
    }
    #fotojanina div img {
        max-height: 300px;
        width: auto;
        object-fit: contain;
    }
    .marco {
        margin-top: 1vh;
    }
    .telefono {
        width: 92vw;
        flex-direction: row;
    }
    .textocontitulo {
        width: 60%;
    }    
    .imagenlateral {
        width: 40%;
    }
    .fotolateral, .contenedorimagen, .contenedorimagen2, .galeria, .linklateral {
        width: 92vw;
    }
    .titulopera {
        transform: translateY(-50%);
    }
    #kevin {
        margin-top: 10%;
    }
    .imagenlateral img{
        width: 100%;
        height: 100%;
        object-fit: contain;
    }
    .galeria, .galeria2 {
        opacity: 1;
        font-weight: bold;
        background-color: rgba(0, 0, 0, 0.0);

    }
    .galeria p, .galeria2 p {
        display: block;
        border-radius: 25px;
        border: solid 2px rgba(0, 0, 0, 0);
        background-color: rgba(0, 0, 0, 0.3);
        box-shadow: 0 1px 5px 4px rgba(0, 0, 0, 0.3);
    }
    #harry {
        margin-bottom: 1vh;
    }
    .mamma img, .mamma a img {
        max-height: 300px;
    }
}